Skip to main content
GET
Get project file version

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain

file_path
string
required

File path (URL-encoded, for example, pages%2Findex.mdx).

version_id
string
required

Version UUID or numeric index 0..99 (0 = newest committed version)

Query Parameters

ref
string

Content to address: main, branch:<name-or-id>, release:<version> or env:<name>. Canonical replacement for branch and branch_id.

Example:

"branch:feature-x"

branch
string

Branch name or ID. Legacy alias for ref=branch:<value>.

Example:

"feature-x"

branch_id
string<uuid>

Branch ID. Legacy alias for ref=branch:<uuid>.

Response

File version content with metadata

id
string
required

Committed version identifier.

path
string
required

Canonical path of the versioned file.

content
string
required

Full content stored for this version.

size
number
required

Size of the version content in UTF-8 bytes.

type
enum<string>
required

File kind derived from its path: page, function, component, or file.

Available options:
page,
function,
component,
file
updated_at
string
required

Persisted creation or selection timestamp for this version.